---
image: dtzar/helm-kubectl:3.5.3 #last version using k8s 1.20

default:
  before_script:
    - cd charts/${HELM_NAME} && echo "installing dependencies ${HELM_NAME}..."
    - helm dependencies update .

.lint:
  script:
    - helm lint .


.release:
  image:
    name: linkyard/docker-helm
    entrypoint: ["/bin/sh", "-c"]
  script:
    - helm init --client-only
    - mkdir -p ./public
    - "echo \"User-Agent: *\nDisallow: /\" > ./public/robots.txt"
    - helm package charts/* --destination ./public
    - helm repo index --url https://${CI_PROJECT_NAMESPACE}.gitlab.io/${CI_PROJECT_NAME} .
    - mv index.yaml ./public
  artifacts:
    paths:
      - public

# .release:
#   script:
#     - apk add git
#     - helm plugin install https://github.com/chartmuseum/helm-push
#     - helm repo add  --username=${DOCKER_REGISTRY_USER} --password=$(cat "$DOCKER_REGISTRY_PASSWORD") ${HELM_PROJECT} https://gitlab.com/d2743/public/helm-chart/packages/helm/stable
#     - helm cm-push . ${HELM_PROJECT}

# .release_tag:
#   image: registry.gitlab.com/gitlab-org/release-cli:latest
#   before_script:
#     - cd charts/${HELM_NAME}
#   script:
#     - echo "Running the release job."
#   release:
#     name: 'Release $CHART_RELEASE'
#     description: 'Created using the release-ci'
#     tag_name: '$CHART_RELEASE'
#     assets:
#       links:
#         - name: "$CHART_RELEASE"
#           #url: https://{DOCKER_REGISTRY}/harbor/projects/{PROJECT_NUM}/helm-charts/${HELM_NAME}/versions/$CHART_VERSION
#           url: https://{DOCKER_REGISTRY}/chartrepo/${HELM_PROJECT}/${HELM_NAME}/$CHART_VERSION